CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[foam-extend.org] Problem with foam-extend-4.0

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   September 12, 2017, 12:11
Default Problem with foam-extend-4.0
  #1
New Member
 
Nicolas Rodio
Join Date: Sep 2017
Posts: 1
Rep Power: 0
Nicolas Rodio is on a distinguished road
Hello everyone,

I'm trying to install the openFoam extended-4.0 version, to use the FSIFoam, from this link: https://openfoamwiki.net/index.php/I...om_source_code.

Im not good at using Ubuntu, but I'm following the commands to get the source code and then compile the program.

So, when I try to run "fe40", it appears:

bash: /opt/foam-extend-4.0/bin/foamGetSystemInfo: No such file or directory
bash:
/opt/foam-extend-4.0/bin/foamCleanPath: No such file or directory
bash: /opt/foam-extend-4.0/bin/foamCleanPath: No such file or directory
bash: /opt/foam-extend-4.0/bin/foamCleanPath: No such file or directory
bash: /opt/foam-extend-4.0/etc/settings.sh: No such file or directory
bash: /opt/foam-extend-4.0/etc/aliases.sh: No such file or directory
bash: /opt/foam-extend-4.0/bin/foamCleanPath: No such file or directory
bash: /opt/foam-extend-4.0/bin/foamCleanPath: No such file or directory
bash: /opt/foam-extend-4.0/bin/foamCleanPath: No such file or directory

What I should do to get the OpenFoam extended??

Last edited by Nicolas Rodio; September 13, 2017 at 09:41.
Nicolas Rodio is offline   Reply With Quote

Old   December 31, 2017, 12:36
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,616
Blog Entries: 42
Rep Power: 116
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Quick answer: I'm really late on this, but the solution is that you need to use aliases to make it easier to use each OpenFOAM/foam-extend version independently. Details are available at section 2.2 "Using aliases to help manage multiple OpenFOAM versions", here: https://openfoamwiki.net/index.php/I...nFOAM_versions
__________________
wyldckat is offline   Reply With Quote

Old   December 6, 2018, 21:03
Default
  #3
New Member
 
Xuxiang
Join Date: Jun 2016
Posts: 8
Rep Power: 4
caoxuxiang is on a distinguished road
i had this problem too;
maybe you can reboost your computer.
caoxuxiang is offline   Reply With Quote

Reply

Tags
error, extended, openfoam, problem

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[foam-extend.org] How to install foam-extend 4.0 in UBUNTU 18.04 silvino OpenFOAM Installation 16 November 13, 2018 13:05
Problem using turbulent modelling with rhoCentralFoam in foam extend 4.0 quarkz OpenFOAM Running, Solving & CFD 0 October 4, 2018 04:54
SimpleFoam cannot open include file Marija OpenFOAM Running, Solving & CFD 0 August 31, 2018 06:46
probe Locations error in the dynamicMesh foam extend 4.0 vahidreza lotfi OpenFOAM Post-Processing 2 August 22, 2018 11:30
Moving mesh (dynamic motion) with immersed boundary - foam extend 4.0 abavo OpenFOAM Running, Solving & CFD 0 August 2, 2018 10:25


All times are GMT -4. The time now is 01:14.